#  General Public License

###### Version 3, 29 June 2007
###### Copyrightc©2007 Free Software Foundation, Inc. http://fsf.org/
Everyone is permitted to copy and distribute verbatim copies of thislicense document, but changing it is not allowed.
##### Preamble
The GNU General Public License is a free, copyleft license for software and other kindsof works.The licenses for most software and other practical works are designed to take away yourfreedom to share and change the works.  By contrast, the GNU General Public License isintended to guarantee your freedom to share and change all versions of a program–to makesure it remains free software for all its users.  We, the Free Software Foundation, use theGNU General Public License for most of our software;  it applies also to any other workreleased this way by its authors. You can apply it to your programs, too.When we speak of free software, we are referring to freedom, not price.  Our GeneralPublic Licenses are designed to make sure that you have the freedom to distribute copies offree software (and charge for them if you wish), that you receive source code or can get it ifyou want it, that you can change the software or use pieces of it in new free programs, andthat you know you can do these things.To protect your rights, we need to prevent others from denying you these rights or askingyou to surrender the rights.   Therefore,  you have certain responsibilities if you distributecopies of the software, or if you modify it: responsibilities to respect the freedom of others.For example, if you distribute copies of such a program, whether gratis or for a fee, youmust pass on to the recipients the same freedoms that you received. You must make sure thatthey, too, receive or can get the source code.  And you must show them these terms so theyknow their rights.Developers that use the GNU GPL protect your rights with two steps: (1) assert copyrighton the software, and (2) offer you this License giving you legal permission to copy, distributeand/or modify it.For the developers’ and authors’ protection, the GPL clearly explains that there is no war-ranty for this free software. For both users’ and authors’ sake, the GPL requires that modifiedversions be marked as changed, so that their problems will not be attributed erroneously toauthors of previous versions.1
Some devices are designed to deny users access to install or run modified versions of thesoftware inside them, although the manufacturer can do so. This is fundamentally incompat-ible with the aim of protecting users’ freedom to change the software. The systematic patternof such abuse occurs in the area of products for individuals to use, which is precisely whereit is most unacceptable. Therefore, we have designed this version of the GPL to prohibit thepractice for those products.  If such problems arise substantially in other domains, we standready to extend this provision to those domains in future versions of the GPL, as needed toprotect the freedom of users.Finally, every program is threatened constantly by software patents.  States should notallow patents to restrict development and use of software on general-purpose computers, butin those that do, we wish to avoid the special danger that patents applied to a free programcould make it effectively proprietary. To prevent this, the GPL assures that patents cannot beused to render the program non-free.The precise terms and conditions for copying, distribution and modification follow.

